#!/bin/sh

case "$HOSTNAME" in
	websv01)
		GREP_WORD="/usr/local/apache/bin/httpd"
		;;
	apsv01)
		GREP_WORD="/usr/java/j2sdk1.4.2_06/bin/java.*-Dcatalina.home=/var/tomcat4"
		;;
	dbsv01)
		GREP_WORD="/usr/bin/postmaster"
		;;
	*)
		echo 0
		exit
esac

ps -efw | grep $GREP_WORD | grep -cv grep
exit
